RUT9XX_R_GPL_00.06.09.5 compile error

Hi.
I am not able to compile GPL_00.06.09.5 because finish with error.
Is possible to fix?
regards.

last log:

gcc -I. -I/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/staging_dir/host/include -O2 -I/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/staging_dir/host/include -MT freadahead.o -MD -MP -MF $depbase.Tpo -c -o freadahead.o freadahead.c &&
mv -f $depbase.Tpo $depbase.Po
freadahead.c: In function ‘freadahead’:
freadahead.c:91:3: error: #error “Please port gnulib freadahead.c to your platform! Look at the definition of fflush, fread, ungetc on your system, then report this to bug-gnulib.”
91 | #error “Please port gnulib freadahead.c to your platform! Look at the definition of fflush, fread, ungetc on your system, then report this to bug-gnulib.”
| ^~~~~
make[8]: *** [Makefile:1837: freadahead.o] Error 1
make[8]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/build_dir/host/m4-1.4.17/lib’
make[7]: *** [Makefile:1602: all] Error 2
make[7]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/build_dir/host/m4-1.4.17/lib’
make[6]: *** [Makefile:1506: all-recursive] Error 1
make[6]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/build_dir/host/m4-1.4.17’
make[5]: *** [Makefile:1461: all] Error 2
make[5]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/build_dir/host/m4-1.4.17’
make[4]: *** [Makefile:31: /home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/build_dir/host/m4-1.4.17/.built] Error 2
make[4]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/tools/m4’
make[3]: *** [tools/Makefile:160: tools/m4/compile] Error 2
make[3]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5’
make[2]: *** [tools/Makefile:158: /home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/staging_dir/target-mips_34kc_uClibc-0.9.33.2/stamp/.tools_install_yynyynynynyyyyyyyyyyyyyyyyyyyyynyyyynnyyynyyyynnynyyyy] Error 2
make[2]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5’
make[1]: *** [Makefile:95: world] Error 2
make[1]: Leaving directory ‘/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5’
make: *** [/home/fabris/Downloads/RUT9XX_R_GPL_00.06.09.5/include/toplevel.mk:171: world] Error 2

Hello,

This is a rather old version, use Ubuntu 16.4 as decribed here.

Regards,

Hi. thanks for reponse.
Do you know if there is a SDK version most recent? to use a linux version more recent to compile it?

The most recent version is here.

ok. It is the same that I use (RUT9XX_R_GPL_00.06.09.5).
I will try with Ubuntu 16.4

This topic was automatically closed after 15 days. New replies are no longer allowed.